#!/bin/bash

hostname=$(hostname)
configDir="/oas/config"
sshKeyFile="${configDir}/ssh_key"

mkdir -p "/oas/local/control"

# Set up ssh access from local control container.
if ! [ -f "$sshKeyFile" ]
then
    echo "Generating new ssh key."
    ssh-keygen -f "$sshKeyFile" -C "control@${hostname}" -N ''
    echo "Adding newly generated key to root's authorized_keys."
    {
        echo
        echo "# Added by oas-control."
        cat "${sshKeyFile}.pub"
    } >> "/root/.ssh/authorized_keys"
fi

# Get control docker image.
docker pull "docker.greenhost.net/openappstack/control"
