#!/bin/bash

ip=$1
hostname=$(hostname)
configDir="/oas/config"

echo "Preparing node: ${hostname}"
echo "External ip address: ${ip}"

mkdir -p "$configDir"
echo -n "$ip" > "${configDir}/ip"

# Some networking settings.
modprobe br_netfilter
sysctl net.bridge.bridge-nf-call-iptables=1

# Allow external access.
iptables -A INPUT -p tcp --dport 6443 -j ACCEPT
netfilter-persistent save

# Install docker if necessary.
if ! [ -x "$(command -v docker)" ]
then
    echo "Installing docker."
    apt-get update
    apt-get install -y \
        apt-transport-https \
        ca-certificates \
        curl \
        software-properties-common
    curl -fsSL https://download.docker.com/linux/ubuntu/gpg | apt-key add -
    add-apt-repository \
       "deb [arch=amd64] https://download.docker.com/linux/ubuntu \
       $(lsb_release -cs) \
       stable"
    apt-get update
    apt-get install -y docker-ce=17.03.3~ce-0~ubuntu-xenial
else
    echo "Docker is already installed, skipping."
fi
